/*
qxgedit - Qt XG Editor.

   Copyright (C) 2005-2016, rncbc aka Rui Nuno Capela. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

 
*/

/********************************************************************************
** Form generated from reading UI file 'qxgeditOptionsForm.ui'
**
** Created by: Qt User Interface Compiler version 5.6.2
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_QXGEDITOPTIONSFORM_H
#define UI_QXGEDITOPTIONSFORM_H

#include <QtCore/QVariant>
#include <QtWidgets/QAction>
#include <QtWidgets/QApplication>
#include <QtWidgets/QButtonGroup>
#include <QtWidgets/QCheckBox>
#include <QtWidgets/QComboBox>
#include <QtWidgets/QDialog>
#include <QtWidgets/QDialogButtonBox>
#include <QtWidgets/QDoubleSpinBox>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QLabel>
#include <QtWidgets/QListWidget>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QSpinBox>
#include <QtWidgets/QTabWidget>
#include <QtWidgets/QVBoxLayout>
#include <QtWidgets/QWidget>

QT_BEGIN_NAMESPACE

class Ui_qxgeditOptionsForm
{
public:
    QVBoxLayout *vboxLayout;
    QTabWidget *OptionsTabWidget;
    QWidget *GeneralTabPage;
    QGridLayout *gridLayout;
    QCheckBox *ConfirmResetCheckBox;
    QSpacerItem *spacerItem;
    QCheckBox *ConfirmRemoveCheckBox;
    QCheckBox *CompletePathCheckBox;
    QLabel *MaxRecentFilesTextLabel;
    QSpinBox *MaxRecentFilesSpinBox;
    QLabel *RandomizePercentTextLabel;
    QDoubleSpinBox *RandomizePercentSpinBox;
    QLabel *BaseFontSizeTextLabel;
    QComboBox *BaseFontSizeComboBox;
    QLabel *StyleThemeTextLabel;
    QComboBox *StyleThemeComboBox;
    QSpacerItem *spacerItem1;
    QWidget *MidiTabPage;
    QVBoxLayout *vboxLayout1;
    QGroupBox *MidiInputGroupBox;
    QVBoxLayout *vboxLayout2;
    QListWidget *MidiInputListView;
    QGroupBox *MidiOutputGroupBox;
    QVBoxLayout *vboxLayout3;
    QListWidget *MidiOutputListView;
    QDialogButtonBox *DialogButtonBox;

    void setupUi(QDialog *qxgeditOptionsForm)
    {
        if (qxgeditOptionsForm->objectName().isEmpty())
            qxgeditOptionsForm->setObjectName(QStringLiteral("qxgeditOptionsForm"));
        qxgeditOptionsForm->resize(360, 280);
        const QIcon icon = QIcon(QString::fromUtf8(":/images/qxgedit.png"));
        qxgeditOptionsForm->setWindowIcon(icon);
        qxgeditOptionsForm->setSizeGripEnabled(true);
        vboxLayout = new QVBoxLayout(qxgeditOptionsForm);
        vboxLayout->setSpacing(4);
        vboxLayout->setContentsMargins(4, 4, 4, 4);
        vboxLayout->setObjectName(QStringLiteral("vboxLayout"));
        OptionsTabWidget = new QTabWidget(qxgeditOptionsForm);
        OptionsTabWidget->setObjectName(QStringLiteral("OptionsTabWidget"));
        OptionsTabWidget->setAcceptDrops(false);
        GeneralTabPage = new QWidget();
        GeneralTabPage->setObjectName(QStringLiteral("GeneralTabPage"));
        gridLayout = new QGridLayout(GeneralTabPage);
        gridLayout->setSpacing(8);
        gridLayout->setContentsMargins(8, 8, 8, 8);
        gridLayout->setObjectName(QStringLiteral("gridLayout"));
        ConfirmResetCheckBox = new QCheckBox(GeneralTabPage);
        ConfirmResetCheckBox->setObjectName(QStringLiteral("ConfirmResetCheckBox"));
        QFont font;
        font.setBold(false);
        font.setWeight(50);
        ConfirmResetCheckBox->setFont(font);

        gridLayout->addWidget(ConfirmResetCheckBox, 0, 0, 1, 2);

        spacerItem = new QSpacerItem(0, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout->addItem(spacerItem, 0, 2, 7, 1);

        ConfirmRemoveCheckBox = new QCheckBox(GeneralTabPage);
        ConfirmRemoveCheckBox->setObjectName(QStringLiteral("ConfirmRemoveCheckBox"));
        ConfirmRemoveCheckBox->setFont(font);

        gridLayout->addWidget(ConfirmRemoveCheckBox, 1, 0, 1, 2);

        CompletePathCheckBox = new QCheckBox(GeneralTabPage);
        CompletePathCheckBox->setObjectName(QStringLiteral("CompletePathCheckBox"));
        CompletePathCheckBox->setFont(font);

        gridLayout->addWidget(CompletePathCheckBox, 2, 0, 1, 2);

        MaxRecentFilesTextLabel = new QLabel(GeneralTabPage);
        MaxRecentFilesTextLabel->setObjectName(QStringLiteral("MaxRecentFilesTextLabel"));
        MaxRecentFilesTextLabel->setFont(font);

        gridLayout->addWidget(MaxRecentFilesTextLabel, 3, 0, 1, 1);

        MaxRecentFilesSpinBox = new QSpinBox(GeneralTabPage);
        MaxRecentFilesSpinBox->setObjectName(QStringLiteral("MaxRecentFilesSpinBox"));
        MaxRecentFilesSpinBox->setFont(font);
        MaxRecentFilesSpinBox->setMinimum(0);
        MaxRecentFilesSpinBox->setMaximum(20);
        MaxRecentFilesSpinBox->setValue(5);

        gridLayout->addWidget(MaxRecentFilesSpinBox, 3, 1, 1, 1);

        RandomizePercentTextLabel = new QLabel(GeneralTabPage);
        RandomizePercentTextLabel->setObjectName(QStringLiteral("RandomizePercentTextLabel"));
        RandomizePercentTextLabel->setFont(font);

        gridLayout->addWidget(RandomizePercentTextLabel, 4, 0, 1, 1);

        RandomizePercentSpinBox = new QDoubleSpinBox(GeneralTabPage);
        RandomizePercentSpinBox->setObjectName(QStringLiteral("RandomizePercentSpinBox"));
        RandomizePercentSpinBox->setFont(font);
        RandomizePercentSpinBox->setAccelerated(true);
        RandomizePercentSpinBox->setDecimals(1);
        RandomizePercentSpinBox->setMinimum(0.1);
        RandomizePercentSpinBox->setMaximum(100);
        RandomizePercentSpinBox->setSingleStep(0.1);
        RandomizePercentSpinBox->setValue(20);

        gridLayout->addWidget(RandomizePercentSpinBox, 4, 1, 1, 1);

        BaseFontSizeTextLabel = new QLabel(GeneralTabPage);
        BaseFontSizeTextLabel->setObjectName(QStringLiteral("BaseFontSizeTextLabel"));
        BaseFontSizeTextLabel->setFont(font);

        gridLayout->addWidget(BaseFontSizeTextLabel, 5, 0, 1, 1);

        BaseFontSizeComboBox = new QComboBox(GeneralTabPage);
        BaseFontSizeComboBox->setObjectName(QStringLiteral("BaseFontSizeComboBox"));
        BaseFontSizeComboBox->setFont(font);
        BaseFontSizeComboBox->setEditable(true);

        gridLayout->addWidget(BaseFontSizeComboBox, 5, 1, 1, 1);

        StyleThemeTextLabel = new QLabel(GeneralTabPage);
        StyleThemeTextLabel->setObjectName(QStringLiteral("StyleThemeTextLabel"));
        StyleThemeTextLabel->setFont(font);

        gridLayout->addWidget(StyleThemeTextLabel, 6, 0, 1, 1);

        StyleThemeComboBox = new QComboBox(GeneralTabPage);
        StyleThemeComboBox->setObjectName(QStringLiteral("StyleThemeComboBox"));
        StyleThemeComboBox->setFont(font);
        StyleThemeComboBox->setEditable(false);

        gridLayout->addWidget(StyleThemeComboBox, 6, 1, 1, 1);

        spacerItem1 = new QSpacerItem(20, 0, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(spacerItem1, 7, 0, 1, 3);

        OptionsTabWidget->addTab(GeneralTabPage, QString());
        MidiTabPage = new QWidget();
        MidiTabPage->setObjectName(QStringLiteral("MidiTabPage"));
        vboxLayout1 = new QVBoxLayout(MidiTabPage);
        vboxLayout1->setSpacing(8);
        vboxLayout1->setContentsMargins(8, 8, 8, 8);
        vboxLayout1->setObjectName(QStringLiteral("vboxLayout1"));
        MidiInputGroupBox = new QGroupBox(MidiTabPage);
        MidiInputGroupBox->setObjectName(QStringLiteral("MidiInputGroupBox"));
        QFont font1;
        font1.setBold(true);
        font1.setWeight(75);
        MidiInputGroupBox->setFont(font1);
        MidiInputGroupBox->setFlat(true);
        vboxLayout2 = new QVBoxLayout(MidiInputGroupBox);
        vboxLayout2->setSpacing(8);
        vboxLayout2->setContentsMargins(8, 8, 8, 8);
        vboxLayout2->setObjectName(QStringLiteral("vboxLayout2"));
        MidiInputListView = new QListWidget(MidiInputGroupBox);
        MidiInputListView->setObjectName(QStringLiteral("MidiInputListView"));
        MidiInputListView->setFont(font);
        MidiInputListView->setSelectionMode(QAbstractItemView::ExtendedSelection);
        MidiInputListView->setUniformItemSizes(true);

        vboxLayout2->addWidget(MidiInputListView);


        vboxLayout1->addWidget(MidiInputGroupBox);

        MidiOutputGroupBox = new QGroupBox(MidiTabPage);
        MidiOutputGroupBox->setObjectName(QStringLiteral("MidiOutputGroupBox"));
        MidiOutputGroupBox->setFont(font1);
        MidiOutputGroupBox->setFlat(true);
        vboxLayout3 = new QVBoxLayout(MidiOutputGroupBox);
        vboxLayout3->setSpacing(8);
        vboxLayout3->setContentsMargins(8, 8, 8, 8);
        vboxLayout3->setObjectName(QStringLiteral("vboxLayout3"));
        MidiOutputListView = new QListWidget(MidiOutputGroupBox);
        MidiOutputListView->setObjectName(QStringLiteral("MidiOutputListView"));
        MidiOutputListView->setFont(font);
        MidiOutputListView->setSelectionMode(QAbstractItemView::ExtendedSelection);
        MidiOutputListView->setUniformItemSizes(true);

        vboxLayout3->addWidget(MidiOutputListView);


        vboxLayout1->addWidget(MidiOutputGroupBox);

        OptionsTabWidget->addTab(MidiTabPage, QString());

        vboxLayout->addWidget(OptionsTabWidget);

        DialogButtonBox = new QDialogButtonBox(qxgeditOptionsForm);
        DialogButtonBox->setObjectName(QStringLiteral("DialogButtonBox"));
        DialogButtonBox->setOrientation(Qt::Horizontal);
        DialogButtonBox->setStandardButtons(QDialogButtonBox::Cancel|QDialogButtonBox::Ok);

        vboxLayout->addWidget(DialogButtonBox);

#ifndef QT_NO_SHORTCUT
        MaxRecentFilesTextLabel->setBuddy(MaxRecentFilesSpinBox);
        RandomizePercentTextLabel->setBuddy(RandomizePercentSpinBox);
        BaseFontSizeTextLabel->setBuddy(BaseFontSizeComboBox);
        StyleThemeTextLabel->setBuddy(StyleThemeComboBox);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(OptionsTabWidget, ConfirmResetCheckBox);
        QWidget::setTabOrder(ConfirmResetCheckBox, ConfirmRemoveCheckBox);
        QWidget::setTabOrder(ConfirmRemoveCheckBox, CompletePathCheckBox);
        QWidget::setTabOrder(CompletePathCheckBox, MaxRecentFilesSpinBox);
        QWidget::setTabOrder(MaxRecentFilesSpinBox, RandomizePercentSpinBox);
        QWidget::setTabOrder(RandomizePercentSpinBox, BaseFontSizeComboBox);
        QWidget::setTabOrder(BaseFontSizeComboBox, StyleThemeComboBox);
        QWidget::setTabOrder(StyleThemeComboBox, DialogButtonBox);

        retranslateUi(qxgeditOptionsForm);

        OptionsTabWidget->setCurrentIndex(0);


        QMetaObject::connectSlotsByName(qxgeditOptionsForm);
    } // setupUi

    void retranslateUi(QDialog *qxgeditOptionsForm)
    {
        qxgeditOptionsForm->setWindowTitle(QApplication::translate("qxgeditOptionsForm", "Options - QXGEdit", 0));
#ifndef QT_NO_TOOLTIP
        ConfirmResetCheckBox->setToolTip(QApplication::translate("qxgeditOptionsForm", "Whether to ask for confirmation on parameter reset", 0));
#endif // QT_NO_TOOLTIP
        ConfirmResetCheckBox->setText(QApplication::translate("qxgeditOptionsForm", "Confirm parameter &resets", 0));
#ifndef QT_NO_TOOLTIP
        ConfirmRemoveCheckBox->setToolTip(QApplication::translate("qxgeditOptionsForm", "Whether to ask for confirmation on removals", 0));
#endif // QT_NO_TOOLTIP
        ConfirmRemoveCheckBox->setText(QApplication::translate("qxgeditOptionsForm", "&Confirm removals", 0));
#ifndef QT_NO_TOOLTIP
        CompletePathCheckBox->setToolTip(QApplication::translate("qxgeditOptionsForm", "Whether to show the complete directory path of loaded session files", 0));
#endif // QT_NO_TOOLTIP
        CompletePathCheckBox->setText(QApplication::translate("qxgeditOptionsForm", "Show complete &path of session files", 0));
        MaxRecentFilesTextLabel->setText(QApplication::translate("qxgeditOptionsForm", "&Number of recent files:", 0));
#ifndef QT_NO_TOOLTIP
        MaxRecentFilesSpinBox->setToolTip(QApplication::translate("qxgeditOptionsForm", "The maximum number of recent files to keep in menu", 0));
#endif // QT_NO_TOOLTIP
        RandomizePercentTextLabel->setText(QApplication::translate("qxgeditOptionsForm", "&Randomize factor:", 0));
#ifndef QT_NO_TOOLTIP
        RandomizePercentSpinBox->setToolTip(QApplication::translate("qxgeditOptionsForm", "Randomizer deviation from current value", 0));
#endif // QT_NO_TOOLTIP
        RandomizePercentSpinBox->setSuffix(QApplication::translate("qxgeditOptionsForm", " %", 0));
        BaseFontSizeTextLabel->setText(QApplication::translate("qxgeditOptionsForm", "&Base font size:", 0));
        BaseFontSizeComboBox->clear();
        BaseFontSizeComboBox->insertItems(0, QStringList()
         << QApplication::translate("qxgeditOptionsForm", "(default)", 0)
         << QApplication::translate("qxgeditOptionsForm", "6", 0)
         << QApplication::translate("qxgeditOptionsForm", "7", 0)
         << QApplication::translate("qxgeditOptionsForm", "8", 0)
         << QApplication::translate("qxgeditOptionsForm", "9", 0)
         << QApplication::translate("qxgeditOptionsForm", "10", 0)
         << QApplication::translate("qxgeditOptionsForm", "11", 0)
         << QApplication::translate("qxgeditOptionsForm", "12", 0)
        );
#ifndef QT_NO_TOOLTIP
        BaseFontSizeComboBox->setToolTip(QApplication::translate("qxgeditOptionsForm", "Base application font size (pt.)", 0));
#endif // QT_NO_TOOLTIP
        StyleThemeTextLabel->setText(QApplication::translate("qxgeditOptionsForm", "&Widget style theme:", 0));
        StyleThemeComboBox->clear();
        StyleThemeComboBox->insertItems(0, QStringList()
         << QApplication::translate("qxgeditOptionsForm", "(default)", 0)
        );
#ifndef QT_NO_TOOLTIP
        StyleThemeComboBox->setToolTip(QApplication::translate("qxgeditOptionsForm", "Custom widget style theme", 0));
#endif // QT_NO_TOOLTIP
        OptionsTabWidget->setTabText(OptionsTabWidget->indexOf(GeneralTabPage), QApplication::translate("qxgeditOptionsForm", "&General", 0));
        MidiInputGroupBox->setTitle(QApplication::translate("qxgeditOptionsForm", "Inputs", 0));
#ifndef QT_NO_TOOLTIP
        MidiInputListView->setToolTip(QApplication::translate("qxgeditOptionsForm", "MIDI Readable clients / Output ports", 0));
#endif // QT_NO_TOOLTIP
        MidiOutputGroupBox->setTitle(QApplication::translate("qxgeditOptionsForm", "Outputs", 0));
#ifndef QT_NO_TOOLTIP
        MidiOutputListView->setToolTip(QApplication::translate("qxgeditOptionsForm", "MIDI Writable clients / Input ports", 0));
#endif // QT_NO_TOOLTIP
        OptionsTabWidget->setTabText(OptionsTabWidget->indexOf(MidiTabPage), QApplication::translate("qxgeditOptionsForm", "&MIDI", 0));
    } // retranslateUi

};

namespace Ui {
    class qxgeditOptionsForm: public Ui_qxgeditOptionsForm {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_QXGEDITOPTIONSFORM_H
